Package icyllis.modernui.widget

# Class TableLayout.LayoutParams

java.lang.Object
icyllis.modernui.view.ViewGroup.LayoutParams
icyllis.modernui.view.ViewGroup.MarginLayoutParams
icyllis.modernui.widget.LinearLayout.LayoutParams
icyllis.modernui.widget.TableLayout.LayoutParams

Enclosing class:
  `TableLayout`

public static class TableLayout.LayoutParams extends LinearLayout.LayoutParams

This set of layout parameters enforces the width of each child to be `ViewGroup.LayoutParams.MATCH_PARENT` and the height of each child to be `ViewGroup.LayoutParams.WRAP_CONTENT`, but only if the height is not specified.

- ## Field Summary

  ### Fields inherited from class icyllis.modernui.widget.LinearLayout.LayoutParams

  `gravity, weight`

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.MarginLayoutParams

  `bottomMargin, DEFAULT_MARGIN_RELATIVE, leftMargin, rightMargin, topMargin`

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `height, MATCH_PARENT, width, WRAP_CONTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutParams()`
  Sets the child width to `ViewGroup.LayoutParams` and the child height to `ViewGroup.LayoutParams.WRAP_CONTENT`.
  `LayoutParams(int w, int h)`
  `LayoutParams(int w, int h, float initWeight)`
  `LayoutParams(ViewGroup.LayoutParams p)`
  `LayoutParams(ViewGroup.MarginLayoutParams source)`

- ## Method Summary

  ### Methods inherited from class icyllis.modernui.view.ViewGroup.MarginLayoutParams

  `copyMarginsFrom, getLayoutDirection, getMarginEnd, getMarginStart, isLayoutRtl, isMarginRelative, onDebugDraw, resolveLayoutDirection, setLayoutDirection, setMarginEnd, setMargins, setMarginsRelative, setMarginStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LayoutParams

    public LayoutParams(int w, int h)

  - ### LayoutParams

    public LayoutParams(int w, int h, float initWeight)

  - ### LayoutParams

    public LayoutParams()

    Sets the child width to `ViewGroup.LayoutParams` and the child height to `ViewGroup.LayoutParams.WRAP_CONTENT`.

  - ### LayoutParams

    public LayoutParams(ViewGroup.LayoutParams p)

  - ### LayoutParams

    public LayoutParams(ViewGroup.MarginLayoutParams source)